﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.VisualBasic.FileIO;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class ChatAttachment: AuditEntity
    {

        public long ChatMessageId{ get; set; }
        [ForeignKey("ChatMessageId")]
        public ChatMessage ChatMessage { get; set; }
        [MaxLength(250)]
        public string? FileName { get; set; }
        public string FilePath { get; set; }
        public string FileType { get; set; }
        public string? ContentType { get; set; }

    }
}
