﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class altrTaskHistory : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 5L);

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 1L,
                column: "NameEn",
                value: "To Do");

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 2L,
                column: "NameEn",
                value: "In progress");

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 3L,
                columns: new[] { "NameAr", "NameEn" },
                values: new object[] { "تحتاج مراجعة", "Need Review" });

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 4L,
                column: "NameEn",
                value: "Done");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 1L,
                column: "NameEn",
                value: "New");

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 2L,
                column: "NameEn",
                value: "Under progress");

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 3L,
                columns: new[] { "NameAr", "NameEn" },
                values: new object[] { "أغلقت", "Closed" });

            migrationBuilder.UpdateData(
                table: "UserTaskStatuses",
                keyColumn: "Id",
                keyValue: 4L,
                column: "NameEn",
                value: "Completed");

            migrationBuilder.InsertData(
                table: "UserTaskStatuses",
                columns: new[] { "Id", "NameAr", "NameEn" },
                values: new object[] { 5L, "مؤجلة", "Delayed" });
        }
    }
}
